Groovy 1.7.10

## org.codehaus.groovy.tools
[Java] Class FileSystemCompiler

    java.lang.Object
      org.codehaus.groovy.tools.FileSystemCompiler

    public class FileSystemCompiler
    extends Object

Command-line compiler (aka. `groovyc`).

Version:
  \$Id: FileSystemCompiler.java 21452 2011-02-03 12:02:48Z ait \$

Constructor Summary
`FileSystemCompiler(CompilerConfiguration configuration)`
`FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)`

Method Summary
`static int` | `checkFiles(String[] filenames)`
`static void` | `commandLineCompile(String[] args)` Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.
`void` | `compile(String[] paths)`
`void` | `compile(File[] files)`
`static Options` | `createCompilationOptions()`
`static File` | `createTempDir()`
`static void` | `deleteRecursive(File file)`
`static void` | `displayHelp(Options options)`
`static void` | `displayVersion()`
`static void` | `doCompilation(CompilerConfiguration configuration, CompilationUnit unit, String[] filenames)`
`static CompilerConfiguration` | `generateCompilerConfigurationFromOptions(CommandLine cli)`
`static String[]` | `generateFileNamesFromOptions(CommandLine cli)`
`static void` | `main(String[] args)` Primary entry point for compiling from the command line (using the groovyc script).
`static boolean` | `validateFiles(String[] filenames)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration)

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)

Method Detail

### checkFiles

    public static int checkFiles(String[] filenames)

### commandLineCompile

    public static void commandLineCompile(String[] args)

  Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.

### compile

    public void compile(String[] paths)

### compile

    public void compile(File[] files)

### createCompilationOptions

    @SuppressWarnings({"AccessStaticViaInstance"})
    public static Options createCompilationOptions()

### createTempDir

    public static File createTempDir()

### deleteRecursive

    public static void deleteRecursive(File file)

### displayHelp

    public static void displayHelp(Options options)

### displayVersion

    public static void displayVersion()

### doCompilation

    public static void doCompilation(CompilerConfiguration configuration, CompilationUnit unit, String[] filenames)

### generateCompilerConfigurationFromOptions

    public static CompilerConfiguration generateCompilerConfigurationFromOptions(CommandLine cli)

### generateFileNamesFromOptions

    public static String[] generateFileNamesFromOptions(CommandLine cli)

### main

    public static void main(String[] args)

  Primary entry point for compiling from the command line (using the groovyc script). If calling inside a process and you don't want the JVM to exit on an error call commandLineCompile(String[]), which this method simply wraps

### validateFiles

    public static boolean validateFiles(String[] filenames)

Copyright © 2003-2010 The Codehaus. All rights reserved.